Bug 646036 - libguestfs fails to launch
libguestfs fails to launch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-23 18:28 EDT by Matthew Booth
Modified: 2012-06-06 13:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 13:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2010-10-23 18:28:48 EDT
Description of problem:
libguestfs fails to launch on my F14 i686 laptop. KVM seems wedged.

[root@x60s images]# LIBGUESTFS_DEBUG=1 guestfish -a dos.img
new guestfs handle 0x97acac8

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for a list of commands
      'man' to read the manual
      'quit' to quit the shell

><fs> launch
[00000ms] febootstrap-supermin-helper --verbose -f checksum -k '/usr/lib/guestfs/kmod.whitelist' '/usr/lib/guestfs/supermin.d' i686
supermin helper [00000ms] whitelist = /usr/lib/guestfs/kmod.whitelist, host_cpu = i686, kernel = (null), initrd = (null), appliance = (null)
supermin helper [00000ms] inputs[0] = /usr/lib/guestfs/supermin.d
checking modpath /lib/modules/2.6.35.6-39.fc14.i686.PAE is a directory
picked vmlinuz-2.6.35.6-39.fc14.i686.PAE because modpath /lib/modules/2.6.35.6-39.fc14.i686.PAE exists
checking modpath /lib/modules/2.6.35.6-45.fc14.i686.PAE is a directory
picked vmlinuz-2.6.35.6-45.fc14.i686.PAE because modpath /lib/modules/2.6.35.6-45.fc14.i686.PAE exists
checking modpath /lib/modules/2.6.35.6-43.fc14.i686.PAE is a directory
picked vmlinuz-2.6.35.6-43.fc14.i686.PAE because modpath /lib/modules/2.6.35.6-43.fc14.i686.PAE exists
supermin helper [00000ms] finished creating kernel
supermin helper [00000ms] visiting /usr/lib/guestfs/supermin.d
supermin helper [00000ms] visiting /usr/lib/guestfs/supermin.d/base.img
supermin helper [00001ms] visiting /usr/lib/guestfs/supermin.d/daemon.img
supermin helper [00001ms] visiting /usr/lib/guestfs/supermin.d/hostfiles
supermin helper [00141ms] finished creating appliance
[00148ms] begin testing qemu features
[00167ms] finished testing qemu features
accept_from_daemon: 0x97acac8 g->state = 1
/usr/bin/qemu-kvm \
    -drive file=dos.img,cache=off,if=virtio \
    -nodefconfig \
    -enable-kvm \
    -nodefaults \
    -nographic \
    -m 500 \
    -no-reboot \
    -no-hpet \
    -device virtio-serial \
    -serial stdio \
    -chardev socket,path=/tmp/libguestfsnBLtxB/sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -kernel /tmp/c8a726fb013d07dcf94ccf255023113a95a2e8a73189410bb54229dec78b2966/kernel \
    -initrd /tmp/c8a726fb013d07dcf94ccf255023113a95a2e8a73189410bb54229dec78b2966/initrd \
    -append 'panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm ' \
    -drive file=/tmp/c8a726fb013d07dcf94ccf255023113a95a2e8a73189410bb54229dec78b2966/root,snapshot=on,if=virtio,cache=unsafe
recv_from_daemon: 0x97acac8 g->state = 1, size_rtn = 0xbfe9c7f0, buf_rtn = 0xbfe9c7ec

strace on the kvm process shows this loop:

read(16, 0xbfd3bd4c, 128)               = -1 EAGAIN (Resource temporarily unavailable)
read(14, "\2\0\0\0\0\0\0\0", 512)       = 8
gettimeofday({1287872599, 93060}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 909912653}) = 0
timer_gettime(0, {it_interval={0, 0}, it_value={0, 29371839}}) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 910019721}) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 910069658}) = 0
gettimeofday({1287872599, 93317}, NULL) = 0
select(17, [0 7 10 14 16], [], [], {1, 0}) = 1 (in [16], left {0, 970837})
read(16, "\16\0\0\0\0\0\0\0\376\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 128) = 128
rt_sigaction(SIGALRM, NULL, {0x80f7660, ~[KILL STOP RTMIN RT_1], 0}, 8) = 0
write(15, "\1\0\0\0\0\0\0\0", 8)        = 8
read(16, 0xbfd3bd4c, 128)               = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1287872599, 122968}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 939823484}) = 0
timer_gettime(0, {it_interval={0, 0}, it_value={0, 0}}) = 0
timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 250000}}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 939996344}) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 940047049}) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 940098243}) = 0
gettimeofday({1287872599, 123346}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {16459, 940198816}) = 0
timer_gettime(0, {it_interval={0, 0}, it_value={0, 0}}) = 0
timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 30000000}}, NULL) = 0
gettimeofday({1287872599, 123614}, NULL) = 0
select(17, [0 7 10 14 16], [], [], {1, 0}) = 2 (in [14 16], left {0, 999993})
read(16, "\16\0\0\0\0\0\0\0\376\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 128) = 128
rt_sigaction(SIGALRM, NULL, {0x80f7660, ~[KILL STOP RTMIN RT_1], 0}, 8) = 0
write(15, "\1\0\0\0\0\0\0\0", 8)        = 8
read(16, 0xbfd3bd4c, 128)               = -1 EAGAIN (Resource temporarily unavailable)

lsof shows:
qemu-kvm 7293 root    0r  FIFO        0,8        0t0 195324 pipe
qemu-kvm 7293 root    1w  FIFO        0,8        0t0 195325 pipe
qemu-kvm 7293 root    2u   CHR      136,0        0t0      3 /dev/pts/0
qemu-kvm 7293 root    3u  unix 0xf3178d80        0t0 195322 /tmp/libguestfsnBLtxB/sock
qemu-kvm 7293 root    4u  unix 0xf3178240        0t0 195330 socket
qemu-kvm 7293 root    5u   CHR     10,232        0t0  11437 /dev/kvm
qemu-kvm 7293 root    6u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root    7u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root    8u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root    9u   REG      253,1  322122547 131985 /var/lib/libvirt/images/dos.img
qemu-kvm 7293 root   10u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root   11u   REG       0,18     262144 195333 /tmp/vl.iLMrPM (deleted)
qemu-kvm 7293 root   12r   REG       0,18 1073741824 194919 /tmp/c8a726fb013d07dcf94ccf255023113a95a2e8a73189410bb54229dec78b2966/root
qemu-kvm 7293 root   13u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root   14u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root   15u  0000        0,9          0   4061 anon_inode
qemu-kvm 7293 root   16u  0000        0,9          0   4061 anon_inode

Version-Release number of selected component (if applicable):
libguestfs-1.5.21-1.fc14.4.i686
febootstrap-2.9-1.fc14.i686
qemu-kvm-0.13.0-0.7.rc1.fc14.i686

How reproducible:
Always
Comment 1 Richard W.M. Jones 2010-10-24 03:49:55 EDT
May as well ask you to try the latest qemu-kvm
from Fedora:

https://admin.fedoraproject.org/updates/qemu-0.13.0-1.fc14

Also what is the kernel version, and was this recently
updated?
Comment 2 Richard W.M. Jones 2010-12-12 17:45:33 EST
Does this still happen?  If so can you get kernel
and qemu versions.
Comment 3 Cole Robinson 2012-06-06 13:49:46 EDT
Closing as INSUFFICIENT_DATA (and F14 is long EOL)

Note You need to log in before you can comment on or make changes to this bug.